#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 bin
version:              0.1.1
visibility:           public
id:                   bin-0.1.1-AqWYDTUU90K7ZB0CIFww7C
key:                  bin-0.1.1-AqWYDTUU90K7ZB0CIFww7C
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Bin: binary natural numbers.
description:
    This package provides /binary natural numbers/ ("Data.Bin");
    also utilities to work on the type level with @DataKinds@ ("Data.Type.Bin").

    @
    data Bin
    \    = BZ       -- ^ zero
    \    | BP BinP  -- ^ non-zero

    data BinP
    \    = BE       -- ^ one
    \    | B0 BinP  -- ^ double
    \    | B1 BinP  -- ^ double plus 1
    @

    There are /ordinals/ in "Data.Bin.Pos" module, as well as
    fixed width integers in "Data.Wrd".

    Another implementation is at <https://hackage.haskell.org/package/nat>,
    this differs in naming, and provides promoted variant.

category:             Data, Dependent Types, Singletons, Math
abi:                  8068f01027080cc18993626e75cd918a
exposed:              True
exposed-modules:
    Data.Bin Data.Bin.Pos Data.BinP Data.BinP.PosP Data.Type.Bin
    Data.Type.BinP Data.Wrd

hidden-modules:       TrustworthyCompat
import-dirs:          /usr/lib/ghc-9.0.1/site-local/bin-0.1.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/bin-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/bin-0.1.1
hs-libraries:         HSbin-0.1.1-AqWYDTUU90K7ZB0CIFww7C
depends:
    QuickCheck-2.14.2-4xShtyX33BN5pkZj6nk754 base-4.15.0.0
    dec-0.0.4-6IWSKCrJrmlBCKJQW9bDSc deepseq-1.4.5.0
    fin-0.2-2GPTjsgrZ2x5xbgtD6tqKn
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5

haddock-interfaces:   /usr/share/doc/haskell-bin/html/bin.haddock
haddock-html:         /usr/share/doc/haskell-bin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

